package com.abbidot.tracker.bean

import com.abbidot.tracker.base.BaseDiffBean

/**
 *Created  by .yzq on 2021/12/21/021.
 * @link
 * @description:宠物标签
 */
data class LabelBean(var name: String, var check: Boolean) : BaseDiffBean() {

    //设置空的构造方法
    constructor() : this("", false)
    constructor(name: String) : this(name, false)

    override fun isSameObject(other: Any): Boolean {
        val oldItem = other as LabelBean
        return oldItem.name == name
    }

    override fun hasSameContent(other: Any): Boolean {
        val oldItem = other as LabelBean
        return oldItem.name == name && oldItem.check == check
    }
}
